Precise Puppy alpha3

Precise Puppy, built from Ubuntu Precise Pangolin binary packages, has reached 'alpha3' (version 5.2.55).

Alpha 2 was released on March 26:
http://bkhome.org/blog/?viewDetailed=02766

Download version 5.2.55 from here:
http://distro.ibiblio.org/quirky/test/precise-5.2.55/

A lot of bugs have been fixed since alpha2, and this build is working very nicely, I am running it right now.

There are some issues with the Puppy Package Manager:

1. I clicked on 'desk_icon_theme_darkfire' and it installed that, but also wanted to install 'desk_icon_theme_original'. Weird.
2. The EXE, DEV, DOC, NLS checkboxes seem to be working for PET packages, but not for DEBs.

So go easy on using PPM, I will check it out tonight or tomorrow morning.

Note, I also intend to compile the latest SeaMonkey tonight.

The Forum thread for feedback, discussion on alpha3 starts on page 7:
http://murga-linux.com/puppy/viewtopic.php?t=76961&start=90


Posted on 24 May 2012, 13:25


Comments:

Posted on 24 May 2012, 15:52 by Terryphi
Thanks
Thanks for the new build. Everything tested so far is working well.


Posted on 24 May 2012, 16:33 by BarryK
Kernel for Precise
I should also mention that the 3.2.17 kernel was compiled in Wary. Therefore, if you want to compile any 3rd-party modules for the kernel, it will have to be done in Wary. (if you do it in Precise, there may be trouble because of the different gcc).

As this Precise Pup does seem to be heading toward being an official release, or so it would seem, I should probably compile the kernel in Precise. So, I probably should grab the latest 3.2.x source and do that in a day or so. Then, anyone who wants to create an nVidia or ATI or wireless drivers PET for it can do so.

...that would mean an alpha4 should come along very soon. Well, probably that will be beta1.



Posted on 24 May 2012, 22:04 by Jota
Linux 3.4 released
Hey Barry, why not use the 3.4 kernel?
I think these improvements are good:
"several updates to the GPU drivers: early modesetting of Nvidia Geforce 600 'Kepler', support of AMD RadeonHD 7xxx and AMD Trinity APU series, and support of Intel Medfield graphics; support of x86 cpu driver autoprobing, two new device-mapper targets, several perf improvements such as GTK2 report GUI"


Posted on 25 May 2012, 9:54 by BarryK
PPM bug no.1
PPM bug no.1 reported above, seems to have been a false alarm. I must have bumped the touchpad accidentally -- I do that sometimes, really need to disable it completely.



Posted on 25 May 2012, 12:07 by mrokosz
Precise
Can You make an iso based on the xz compression it works much better on the old computers


Posted on 26 May 2012, 6:31 by GCMartin
FirstRUN in this version of Precise
The FirstRUN changes in this version

Here to help